# Class: OfflineRepository

## Repository~ OfflineRepository

Offline Repositories are MemoryRepositories backed by an offline storage medium. Data is initially loaded from the storage medium into memory, and data is synced on Add/Edit/Delete operations.

#### new OfflineRepository()

  Source:
    Repository/Offline.js

### Extends

- MemoryRepository

### Members

#### getLastSync

  Gets the date when this Repository was last synced with remote (when this is the "local" side of at LocalFromRemoteRepository)
  Source:
    Repository/Offline.js

#### setLastSync

  Sets the date when this Repository was last synced with remote. Used when this is the "local" side of a LocalFromRemoteRepository
  Source:
    Repository/Offline.js

### Methods

#### <async> _doEdit()

  Hook into super._doEdit, so we can save Entity changes to storage medium.
  Source:
    Repository/Offline.js

#### <async> _doDelete()

  Hook into super._doDelete, so we can delete Entity from storage medium.
  Source:
    Repository/Offline.js

#### _namespace(name)

  Helper function, in case storage medium does not have its own namespacing implementation

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `name` | string | array | The name or an array of names to get

  Source:
    Repository/Offline.js

  ##### Returns:

  namespacedName - The namespaced name(s)
  Type
    string | array

#### Search results